/*
 * Copyright (c) 2010-2011, The MiCode Open Source Community (www.micode.net)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package net.micode.notes.tool;

/**
 * 该类包含与Google任务相关的JSON字符串常量，用于处理Google任务相关的数据交互。
 */
public class GTaskStringUtils {

    // Google任务JSON中的动作ID字段
    public final static String GTASK_JSON_ACTION_ID = "action_id";

    // Google任务JSON中的动作列表字段
    public final static String GTASK_JSON_ACTION_LIST = "action_list";

    // Google任务JSON中的动作类型字段
    public final static String GTASK_JSON_ACTION_TYPE = "action_type";

    // Google任务JSON中创建动作的类型值
    public final static String GTASK_JSON_ACTION_TYPE_CREATE = "create";

    // Google任务JSON中获取所有任务动作的类型值
    public final static String GTASK_JSON_ACTION_TYPE_GETALL = "get_all";

    // Google任务JSON中移动任务动作的类型值
    public final static String GTASK_JSON_ACTION_TYPE_MOVE = "move";

    // Google任务JSON中更新任务动作的类型值
    public final static String GTASK_JSON_ACTION_TYPE_UPDATE = "update";

    // Google任务JSON中的创建者ID字段
    public final static String GTASK_JSON_CREATOR_ID = "creator_id";

    // Google任务JSON中的子实体字段
    public final static String GTASK_JSON_CHILD_ENTITY = "child_entity";

    // Google任务JSON中的客户端版本字段
    public final static String GTASK_JSON_CLIENT_VERSION = "client_version";

    // Google任务JSON中的完成状态字段
    public final static String GTASK_JSON_COMPLETED = "completed";

    // Google任务JSON中的当前列表ID字段
    public final static String GTASK_JSON_CURRENT_LIST_ID = "current_list_id";

    // Google任务JSON中的默认列表ID字段
    public final static String GTASK_JSON_DEFAULT_LIST_ID = "default_list_id";

    // Google任务JSON中的删除状态字段
    public final static String GTASK_JSON_DELETED = "deleted";

    // Google任务JSON中的目标列表字段
    public final static String GTASK_JSON_DEST_LIST = "dest_list";

    // Google任务JSON中的目标父级字段
    public final static String GTASK_JSON_DEST_PARENT = "dest_parent";

    // Google任务JSON中的目标父级类型字段
    public final static String GTASK_JSON_DEST_PARENT_TYPE = "dest_parent_type";

    // Google任务JSON中的实体增量字段
    public final static String GTASK_JSON_ENTITY_DELTA = "entity_delta";

    // Google任务JSON中的实体类型字段
    public final static String GTASK_JSON_ENTITY_TYPE = "entity_type";

    // Google任务JSON中获取已删除任务的字段
    public final static String GTASK_JSON_GET_DELETED = "get_deleted";

    // Google任务JSON中的ID字段
    public final static String GTASK_JSON_ID = "id";

    // Google任务JSON中的索引字段
    public final static String GTASK_JSON_INDEX = "index";

    // Google任务JSON中的最后修改时间字段
    public final static String GTASK_JSON_LAST_MODIFIED = "last_modified";

    // Google任务JSON中的最新同步点字段
    public final static String GTASK_JSON_LATEST_SYNC_POINT = "latest_sync_point";

    // Google任务JSON中的列表ID字段
    public final static String GTASK_JSON_LIST_ID = "list_id";

    // Google任务JSON中的列表集合字段
    public final static String GTASK_JSON_LISTS = "lists";

    // Google任务JSON中的名称字段
    public final static String GTASK_JSON_NAME = "name";

    // Google任务JSON中的新ID字段
    public final static String GTASK_JSON_NEW_ID = "new_id";

    // Google任务JSON中的备注字段
    public final static String GTASK_JSON_NOTES = "notes";

    // Google任务JSON中的父级ID字段
    public final static String GTASK_JSON_PARENT_ID = "parent_id";

    // Google任务JSON中的前一个兄弟ID字段
    public final static String GTASK_JSON_PRIOR_SIBLING_ID = "prior_sibling_id";

    // Google任务JSON中的结果字段
    public final static String GTASK_JSON_RESULTS = "results";

    // Google任务JSON中的源列表字段
    public final static String GTASK_JSON_SOURCE_LIST = "source_list";

    // Google任务JSON中的任务集合字段
    public final static String GTASK_JSON_TASKS = "tasks";

    // Google任务JSON中的类型字段
    public final static String GTASK_JSON_TYPE = "type";

    // Google任务JSON中组类型的值
    public final static String GTASK_JSON_TYPE_GROUP = "GROUP";

    // Google任务JSON中任务类型的值
    public final static String GTASK_JSON_TYPE_TASK = "TASK";

    // Google任务JSON中的用户字段
    public final static String GTASK_JSON_USER = "user";

    // MIUI文件夹前缀
    public final static String MIUI_FOLDER_PREFFIX = "[MIUI_Notes]";

    // 默认文件夹名称
    public final static String FOLDER_DEFAULT = "Default";

    // 通话记录文件夹名称
    public final static String FOLDER_CALL_NOTE = "Call_Note";

    // 元数据文件夹名称
    public final static String FOLDER_META = "METADATA";

    // 元数据头部的Google任务ID字段
    public final static String META_HEAD_GTASK_ID = "meta_gid";

    // 元数据头部的备注字段
    public final static String META_HEAD_NOTE = "meta_note";

    // 元数据头部的数据字段
    public final static String META_HEAD_DATA = "meta_data";

    // 元数据备注名称
    public final static String META_NOTE_NAME = "[META INFO] DON'T UPDATE AND DELETE";
}